Package de.willuhn.jameica.hbci.rmi

# Interface Version

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `VersionImpl`

public interface Version extends de.willuhn.datasource.rmi.DBObject
Interface fuer einen Datensatz in der Versionstabelle.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert den Namen der Version.
`int`
`getVersion()`
Liefert den aktuellen Stand der Version.
`void`
`setName(String name)`
Speichert den Namen der Version.
`void`
`setVersion(int newVersion)`
Legt die neue Versionsnummer fest.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getName

String getName() throws RemoteException
Liefert den Namen der Version.

Returns:
  Name der Version.
Throws:
  `RemoteException`

### setName

void setName(String name) throws RemoteException
Speichert den Namen der Version.

Parameters:
  `name` - Name der Version.
Throws:
  `RemoteException`

### getVersion

int getVersion() throws RemoteException
Liefert den aktuellen Stand der Version.

Returns:
  Stand der Version.
Throws:
  `RemoteException`

### setVersion

void setVersion(int newVersion) throws RemoteException
Legt die neue Versionsnummer fest.

Parameters:
  `newVersion` - die neue Versionsnummer.
Throws:
  `RemoteException`